/*****************************************************************************
 *   timer.h:  Header file for NXP LPC23xx/24xx Family Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.07.13  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __TIMER_H 
#define __TIMER_H

#ifdef __cplusplus
extern "C" {
#endif

#define TIME_INTERVAL	(Fpclk/1000000u - 2 - 1)

typedef unsigned long timer_t;

void timer_init(void);
timer_t currentTimer(void);
timer_t elapsedTime(timer_t prevTime);
timer_t elapsedTime_us(timer_t prevTime);
timer_t elapsedTicks(timer_t prevTime);
void delay_ms(unsigned int ms);
void delay_us(unsigned int us);

#ifdef __cplusplus
}
#endif

#endif
